# aide.h File Reference

## Functions
void | Bouton_Aide (void)
| Called to open the help window with the keyboard shortcut.
void | Bouton_Stats (void)
| Displays and runs the "Statistics" window.
void | Fenetre_aide (int Section, const char *Sous_section)
| Displays and runs the "Help / About..." window.

## Function Documentation

void Bouton_Aide | ( | void |  | ) |

Called to open the help window with the keyboard shortcut.

If the mouse is over a button, its contextual help will be displayed. Else, the default helpscreen will be shown.

References Fenetre_aide(), Numero_bouton_sous_souris(), and Touche.

Referenced by Initialisation_des_boutons().

void Bouton_Stats | ( | void |  | ) |

Displays and runs the "Statistics" window.

References Afficher_curseur(), ALPHA_BETA, Block, BOUTON_AIDE, CM_Noir, Desenclencher_bouton(), Fenetre_Afficher_cadre_creux(), Fenetre_Bouton_clicke(), Fenetre_Definir_bouton_normal(), Fenetre_Pos_X, Fenetre_Pos_Y, Fermer_fenetre(), Hauteur_ecran, Largeur_ecran, Memoire_libre(), Menu_Facteur_X, Menu_Facteur_Y, Ouvrir_fenetre(), Palette_Compter_nb_couleurs_utilisees(), POURCENTAGE_VERSION, Principal_Hauteur_image, Principal_Largeur_image, Principal_Repertoire_courant, Print_dans_fenetre(), STATS_COULEUR_DONNEES, STATS_COULEUR_TITRES, Support_TrueType(), SVNRevision, Touche, TOUCHE_ESC, and UpdateRect().

Referenced by Initialisation_des_boutons().

void Fenetre_aide | ( | int | Section,
|  | const char * | Sous_section |
| ) |  |  |

Displays and runs the "Help / About..." window.

Parameters:

  | Section | Number of the help section page to display (equals the button number the mouse was hovering for the contextual help), -1 for the main help page.
  | Sous_section | Help sub-section title (the page will be scrolled so this title is at the top).

References Afficher_aide(), Afficher_curseur(), Attendre_fin_de_click(), Block, BOUTON_AIDE, Calculer_hauteur_curseur_jauge(), CM_Noir, Desenclencher_bouton(), Effacer_curseur, Fenetre_Afficher_cadre_creux(), Fenetre_Attribut2, Fenetre_Bouton_clicke(), Fenetre_controle(), Fenetre_Definir_bouton_normal(), Fenetre_Definir_bouton_scroller(), Fenetre_Definir_bouton_special(), Fenetre_Dessiner_jauge(), Fenetre_Pos_X, Fenetre_Pos_Y, Fermer_fenetre(), Menu_Facteur_X, Menu_Facteur_Y, Mouse_Y, Fenetre_Bouton_scroller::Nb_elements, Section_d_aide::Nombre_de_lignes, Ouvrir_fenetre(), Fenetre_Bouton_scroller::Position, Position_d_aide_en_cours, Scroller_aide(), Section_d_aide_en_cours, Table_d_aide, Touche, TOUCHE_ESC, TOUCHE_MOUSEWHEELDOWN, TOUCHE_MOUSEWHEELUP, and UpdateRect().

Referenced by Bouton_Aide(), Bouton_Brush_FX(), Bouton_Colorize_Menu(), Bouton_Copy_page(), Bouton_Degrades(), Bouton_Effets(), Bouton_Load_ou_Save(), Bouton_Menu_Grille(), Bouton_Menu_Loupe(), Bouton_Menu_pinceaux(), Bouton_Palette(), Bouton_Palette_secondaire(), Bouton_Quick_shade_Menu(), Bouton_Quitter_Routine_locale(), Bouton_Resol(), Bouton_Settings(), Bouton_Smooth_Menu(), Bouton_Spray_Menu(), Bouton_Texte(), Bouton_Tiling_Menu(), Bouton_Trame_Menu(), Menu_Shade(), and Menu_Tag_couleurs().